// JScript 文件 机票项目的相关JS方法 
// add by bobyzong at 08-6-24

//以window.open()方式打开一个新窗口,如有参数,直接附加在url上即可
function ShowWindow(url,width,height)
{
    var scWith = (window.screen.width / 2) - (width / 2);
    var scHeight = (window.screen.height / 2) - (height / 2);
    window.open(url,'','top=' + scHeight + ',left=' + scWith +',width=' + width + ',height=' + height + ',resizable=yes,scrollbars=yes,menubar=no,location=no,toolbar=no'); 
}

// 以模式对话框的形式打开一个窗口，,如有参数,直接附加在url上即可
function ShowModelWindow(url,width,height)
{
    //return window.showModelDialog(url,'','dialogHeight: ' + height + 'px;dialogWidth:' + width + 'px;'); 
    //showModalDialog
    return window.showModalDialog(url,'','dialogHeight: ' + height + 'px;dialogWidth:' + width + 'px;status:no;help:no;resizable:yes;scroll:no;center:yes;'); 
}
function showModelDialog(url,args,width,height)
{
    return window.showModalDialog(url,args,'dialogHeight: ' + height + 'px;dialogWidth:' + width + 'px;status:no;help:no;resizable:yes;scroll:yes;center:yes;'); 
    
}

//由ID获取HTML控件
function $( controlId ){
    return document.getElementById( controlId );
}
//由ID获取HTML控件的值
function $F( controlId ){
    if ( $(controlId) )
        return $( controlId ).value;
    else
        return null;
}
//关闭本窗口并刷新父窗口
function closeMeAndReloadParent(alertMsg){
    if ( alertMsg ){
        alert( alertMsg );
        opener.location.reload();
        window.close();
    } else {
        opener.location.reload();
        window.close();
    }
}
//关闭当前窗口
function closeMe(){
    window.close();
}

//字符串去除2端空格
String.prototype.trim= function()  
{  
    // 用正则表达式将前后空格  
    // 用空字符串替代。  
    return this.replace(/(^\s*)|(\s*$)/g, "");  
}

